   import java.sql.*;
   import java.io.*;
   import javax.swing.JOptionPane;
   
   public class VetVegters
   {
      Connection conn;

   
      public VetVegters ()
      {
            //laai die driver
         try
         {
            Class.forName ("sun.jdbc.odbc.JdbcOdbcDriver");
            System.out.println ("Drywer suksesvol gelaai");
         }
             catch (ClassNotFoundException c)
            {
               System.out.println ("Nie instaat om die databasis drywer te laai nie");
            }
            
      //koppel met die databasis
         try
         {
         
            //conn = DriverManager.getConnection ("jdbc:odbc:VetVegtersDB.mdb");
           
            //System.out.print("Tik die presiese plek in waar jou databsis gestoor is (BYVOORBEELD - C:/TOETS/VetVegtersDB.mdb)");   
            // Vir toevoer van die sleutelbord af...
            //Scanner = inKb = new Scanner(System.in);
            // String filename - inKb.nextLine();
            // OR BufferedReader inKb = new BufferedReader (new InputStreamReader (System.in));
            // String filename = inKb.readLine();
            // OF kodeer die JChooser komponent om die leer op te soek
            
            String leernaam = "VetVegtersDB.mdb";
          
            String databasis = "jdbc:odbc:Driver={Microsoft Access Driver (*.mdb)};DBQ=";
            databasis += leernaam.trim () + ";DriverID=22;READONLY=true}"; 
            conn = DriverManager.getConnection (databasis, "", "");
         
            System.out.println ("Konneksie met die VetVegters databasis is suksesvol bewerkstellig");
         
         }
             catch (Exception e)
            {
               System.out.println ("Kan nie met die databasis koppel nie");
            }
      } //end konneksie

    
      public void vertoonAlmal (String sql) throws SQLException
      {
         System.out.println();
         Statement stmt = conn.createStatement (); 
        
         ResultSet rs = stmt.executeQuery (sql);
         System.out.printf("%-10s%-18s%-8s%-8s%-15s%-11s","PersoonID","Naam","B_Gewig", "D_Gewig","InskryfDatum", "Balans");  
         System.out.println();
         System.out.println("=================================================================================");  
         
         while (rs.next ())
         {
            String sId = rs.getString ("PersoonID");
            String sNaam = rs.getString ("Naam");
            String sBegin = rs.getString ("B_Gewig");
            String sDoel = rs.getString ("D_Gewig");
            String sInskryfDatum = rs.getString("InskryfDatum");
            sInskryfDatum = sInskryfDatum.substring(0,10);
            //String sBal = rs.getString("Balance");
            double dBal = Double.parseDouble(rs.getString("Balans"));
          	dBal = Math.round(dBal * 100) / 100.0;
            System.out.printf("%-10s%-18s%-8s%-10s%-13s %-11s",sId ,sNaam,sBegin, sDoel,sInskryfDatum, dBal);
            System.out.println();        
         }
          
         System.out.println(" ");
         rs.close();  
         stmt.close ();
      } 
   
      public void berekenGewigVerskil (String sql)throws SQLException
      {
         Statement stmt = conn.createStatement (); 
         
         ResultSet rs = stmt.executeQuery (sql);
         System.out.printf("%-10s%-18s%-8s%-8s%-10s","PersoonID","Naam","B_Gewig", "D_Gewig", "KgsOmTeVerloor");  
         System.out.println();
         System.out.println("=============================================================");  
         while (rs.next ())
         {
            String sId = rs.getString ("PersoonID");
            String sNaam = rs.getString ("Naam");
            String sBegin = rs.getString ("B_Gewig");
            String sDoel = rs.getString ("D_Gewig");
            String sKg = rs.getString ("KgsOmTeVerloor");

          //int kgs = (int)Double.parseDouble(sKgs);
                     
            System.out.printf("%-10s%-18s%-8s%-10s%-8s",sId ,sNaam,sBegin, sDoel, sKg);
            System.out.println();        
         } 
         System.out.println(" "); 
         rs.close(); 
         stmt.close ();
      } 
   
      public void verwyderUitstaande (String sql)throws SQLException
      {
         System.out.println();
         Statement stmt = conn.createStatement (); 

         int rye = stmt.executeUpdate (sql);
         
         System.out.println(rye + " rekords is uitgevee");
          
         stmt.close ();
      } 
   
     public void bepaalLaagste(String sql)throws SQLException
      {
         System.out.println();
         Statement stmt = conn.createStatement (); 
      
         ResultSet rs = stmt.executeQuery (sql);
         System.out.printf("%-10s%-14s","PersoonID","MinGewig");  
         System.out.println();
         System.out.printf("================================="); 
         System.out.println(); 
         while (rs.next ())
         {           
            String sID = rs.getString ("PersoonID");
            double dGewig = Double.parseDouble(rs.getString("MinGewig"));
            int Gewig = (int)Math.round(dGewig);
                   
            System.out.printf("%-10s%-14s",sID, Gewig);
           	System.out.println();        
         } 
         System.out.println(" ");  
         stmt.close ();
      } 
                        	
  	  public void vertoonGeskiedenis(String sql)throws SQLException
      {
         System.out.println();
         Statement stmt = conn.createStatement (); 

         ResultSet rs = stmt.executeQuery (sql);
         System.out.printf("%-10s%-18s%-8s%-8s%-14s","PersoonID","Naam", "D_Gewig", "Gewig","WeegDatum"); 
         System.out.println();
         System.out.println("============================================================");  
         while (rs.next ())
         {
           
            String sId = rs.getString ("PersoonID");
            String sNaam = rs.getString ("Naam");
            String sDoel = rs.getString ("D_Gewig");
            double dGewig = Double.parseDouble(rs.getString("Gewig"));
            int Gewig = (int)Math.round(dGewig);
           
            String sWeegDatum = rs.getString("WeegDatum");
            sWeegDatum = sWeegDatum.substring(0,10);
          
            System.out.printf("%-10s%-18s%-8s%-8s%-14s",sId,sNaam, sDoel, Gewig,sWeegDatum);
            System.out.println();        
         } 
         System.out.println(" ");  
         stmt.close ();
      }
      public void pasGewigAan(String sql)throws SQLException
      {
         System.out.println();
         Statement stmt = conn.createStatement (); 

         int rye = stmt.executeUpdate (sql);
         
         System.out.println(rye + " rekords opgedateer");         
          
         sql = "SELECT * FROM tblWeegin";
          
         ResultSet rs = stmt.executeQuery (sql);
         System.out.printf("%-10s%-15s%-14s","PersoonID","WeegDatum", "Gewig");  
         System.out.println();
         System.out.printf("==============================="); 
         System.out.println(); 
         while (rs.next ())
         {           
            String sID = rs.getString ("PersoonID");
            String sWeegDatum = rs.getString("WeegDatum");
            sWeegDatum = sWeegDatum.substring(0,10);
            String sGewig = rs.getString ("Gewig");
          
            System.out.printf("%-10s%-15s%-14s",sID, sWeegDatum, sGewig);
           	System.out.println();        
         } 
         System.out.println(" ");  
         stmt.close ();
      }

    public void disconnect () throws SQLException
    {
    
        conn.close ();
    }
   
   }
       
  
